package com.ruoyi.processdata.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 专业线0分更新对象 pd_profession_version0_update
 *
 * @author voluntarydata
 * @date 2023-05-18
 */
public class PdProfessionVersion0Update extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 数据类型（1老高考，3新高考） */
    @Excel(name = "数据类型", readConverterExp = "1=老高考，3新高考")
    private String dataModeType;

    /** uCode */
    @Excel(name = "uCode")
    private String uCode;

    /** 院校招生编码 */
    @Excel(name = "院校招生编码")
    private String collegeEnrollCode;

    /** 院校编码 */
    @Excel(name = "院校编码")
    private String collegeCode;

    /** 院校名称 */
    @Excel(name = "院校名称")
    private String collegeName;

    /** 院校名称 */
    @Excel(name = "院校名称")
    private String collegeSourceName;

    /** 院校名称（包含专项等） */
    @Excel(name = "院校名称", readConverterExp = "包=含专项等")
    private String collegeNameText;

    /** 批次 */
    @Excel(name = "批次")
    private String batch;

    /** 选科要求 */
    @Excel(name = "选科要求")
    private String course;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 选科规则 */
    @Excel(name = "选科规则")
    private String chooseSubjectRule;

    /** 招生类别（本科、专科） */
    @Excel(name = "招生类别", readConverterExp = "本=科、专科")
    private String eduLevel;

    /** collegeKey */
    @Excel(name = "collegeKey")
    private String collegeKey;

    /** 省份编码 */
    @Excel(name = "省份编码")
    private String provinceCode;

    /** 省份名称 */
    @Excel(name = "省份名称")
    private String professionName;

    /** 专业招生编码 */
    @Excel(name = "专业招生编码")
    private String professionEnrollCode;

    /** text */
    @Excel(name = "text")
    private String text;

    /** 专业备注 */
    @Excel(name = "专业备注")
    private String professionRemark;

    /** 专业编码 */
    @Excel(name = "专业编码")
    private String majorCode;

    /** 计划数 */
    @Excel(name = "计划数")
    private String planNum;

    /** 录取线 */
    @Excel(name = "录取线")
    private Long enterLine;

    /** 录取数 */
    @Excel(name = "录取数")
    private String enterNum;

    /** 最大分 */
    @Excel(name = "最大分")
    private Long maxScore;

    /** 最小分 */
    @Excel(name = "最小分")
    private Long minScore;

    /** 平均分 */
    @Excel(name = "平均分")
    private Long avgScore;

    /** 最高位次 */
    @Excel(name = "最高位次")
    private Long maxRank;

    /** 最低位次 */
    @Excel(name = "最低位次")
    private Long minRank;

    /** 平均位次 */
    @Excel(name = "平均位次")
    private Long avgRank;

    /** 首选 */
    @Excel(name = "首选")
    private String chooseSubject;

    /** 次选 */
    @Excel(name = "次选")
    private String chooseSubject2;

    /** 选科说明 */
    @Excel(name = "选科说明")
    private String chooseSubjectText;

    /** 省份 */
    @Excel(name = "省份")
    private String location;
    private List<String> locations;

    /** udid */
    @Excel(name = "udid")
    private String udid;

    /** 业务组合id */
    @Excel(name = "业务组合id")
    private String udid2;

    /** 专业组征集志愿 */
    @Excel(name = "专业组征集志愿")
    private String zjText;

    /** 专业组征集志愿说明 */
    @Excel(name = "专业组征集志愿说明")
    private String zjTextExplain;

    /** 专业征集志愿 */
    @Excel(name = "专业征集志愿")
    private String professionZjText;

    /** 专业征集志愿说明 */
    @Excel(name = "专业征集志愿说明")
    private String professionZjTextExplain;

    /** 专业组 */
    @Excel(name = "专业组")
    private String groups;

    /** 专业组名称 */
    @Excel(name = "专业组名称")
    private String groupsName;

    /** 版本 */
    @Excel(name = "版本")
    private String version;

    public List<String> getLocations() {
        return locations;
    }

    public void setLocations(List<String> locations) {
        this.locations = locations;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setDataModeType(String dataModeType)
    {
        this.dataModeType = dataModeType;
    }

    public String getDataModeType()
    {
        return dataModeType;
    }
    public void setuCode(String uCode)
    {
        this.uCode = uCode;
    }

    public String getuCode()
    {
        return uCode;
    }
    public void setCollegeEnrollCode(String collegeEnrollCode)
    {
        this.collegeEnrollCode = collegeEnrollCode;
    }

    public String getCollegeEnrollCode()
    {
        return collegeEnrollCode;
    }
    public void setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode()
    {
        return collegeCode;
    }
    public void setCollegeName(String collegeName)
    {
        this.collegeName = collegeName;
    }

    public String getCollegeName()
    {
        return collegeName;
    }
    public void setCollegeSourceName(String collegeSourceName)
    {
        this.collegeSourceName = collegeSourceName;
    }

    public String getCollegeSourceName()
    {
        return collegeSourceName;
    }
    public void setCollegeNameText(String collegeNameText)
    {
        this.collegeNameText = collegeNameText;
    }

    public String getCollegeNameText()
    {
        return collegeNameText;
    }
    public void setBatch(String batch)
    {
        this.batch = batch;
    }

    public String getBatch()
    {
        return batch;
    }
    public void setCourse(String course)
    {
        this.course = course;
    }

    public String getCourse()
    {
        return course;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setChooseSubjectRule(String chooseSubjectRule)
    {
        this.chooseSubjectRule = chooseSubjectRule;
    }

    public String getChooseSubjectRule()
    {
        return chooseSubjectRule;
    }
    public void setEduLevel(String eduLevel)
    {
        this.eduLevel = eduLevel;
    }

    public String getEduLevel()
    {
        return eduLevel;
    }
    public void setCollegeKey(String collegeKey)
    {
        this.collegeKey = collegeKey;
    }

    public String getCollegeKey()
    {
        return collegeKey;
    }
    public void setProvinceCode(String provinceCode)
    {
        this.provinceCode = provinceCode;
    }

    public String getProvinceCode()
    {
        return provinceCode;
    }
    public void setProfessionName(String professionName)
    {
        this.professionName = professionName;
    }

    public String getProfessionName()
    {
        return professionName;
    }
    public void setProfessionEnrollCode(String professionEnrollCode)
    {
        this.professionEnrollCode = professionEnrollCode;
    }

    public String getProfessionEnrollCode()
    {
        return professionEnrollCode;
    }
    public void setText(String text)
    {
        this.text = text;
    }

    public String getText()
    {
        return text;
    }
    public void setProfessionRemark(String professionRemark)
    {
        this.professionRemark = professionRemark;
    }

    public String getProfessionRemark()
    {
        return professionRemark;
    }
    public void setMajorCode(String majorCode)
    {
        this.majorCode = majorCode;
    }

    public String getMajorCode()
    {
        return majorCode;
    }
    public void setPlanNum(String planNum)
    {
        this.planNum = planNum;
    }

    public String getPlanNum()
    {
        return planNum;
    }
    public void setEnterLine(Long enterLine)
    {
        this.enterLine = enterLine;
    }

    public Long getEnterLine()
    {
        return enterLine;
    }
    public void setEnterNum(String enterNum)
    {
        this.enterNum = enterNum;
    }

    public String getEnterNum()
    {
        return enterNum;
    }
    public void setMaxScore(Long maxScore)
    {
        this.maxScore = maxScore;
    }

    public Long getMaxScore()
    {
        return maxScore;
    }
    public void setMinScore(Long minScore)
    {
        this.minScore = minScore;
    }

    public Long getMinScore()
    {
        return minScore;
    }
    public void setAvgScore(Long avgScore)
    {
        this.avgScore = avgScore;
    }

    public Long getAvgScore()
    {
        return avgScore;
    }
    public void setMaxRank(Long maxRank)
    {
        this.maxRank = maxRank;
    }

    public Long getMaxRank()
    {
        return maxRank;
    }
    public void setMinRank(Long minRank)
    {
        this.minRank = minRank;
    }

    public Long getMinRank()
    {
        return minRank;
    }
    public void setAvgRank(Long avgRank)
    {
        this.avgRank = avgRank;
    }

    public Long getAvgRank()
    {
        return avgRank;
    }
    public void setChooseSubject(String chooseSubject)
    {
        this.chooseSubject = chooseSubject;
    }

    public String getChooseSubject()
    {
        return chooseSubject;
    }
    public void setChooseSubject2(String chooseSubject2)
    {
        this.chooseSubject2 = chooseSubject2;
    }

    public String getChooseSubject2()
    {
        return chooseSubject2;
    }
    public void setChooseSubjectText(String chooseSubjectText)
    {
        this.chooseSubjectText = chooseSubjectText;
    }

    public String getChooseSubjectText()
    {
        return chooseSubjectText;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setUdid(String udid)
    {
        this.udid = udid;
    }

    public String getUdid()
    {
        return udid;
    }
    public void setUdid2(String udid2)
    {
        this.udid2 = udid2;
    }

    public String getUdid2()
    {
        return udid2;
    }
    public void setZjText(String zjText)
    {
        this.zjText = zjText;
    }

    public String getZjText()
    {
        return zjText;
    }
    public void setZjTextExplain(String zjTextExplain)
    {
        this.zjTextExplain = zjTextExplain;
    }

    public String getZjTextExplain()
    {
        return zjTextExplain;
    }
    public void setProfessionZjText(String professionZjText)
    {
        this.professionZjText = professionZjText;
    }

    public String getProfessionZjText()
    {
        return professionZjText;
    }
    public void setProfessionZjTextExplain(String professionZjTextExplain)
    {
        this.professionZjTextExplain = professionZjTextExplain;
    }

    public String getProfessionZjTextExplain()
    {
        return professionZjTextExplain;
    }
    public void setGroups(String groups)
    {
        this.groups = groups;
    }

    public String getGroups()
    {
        return groups;
    }
    public void setGroupsName(String groupsName)
    {
        this.groupsName = groupsName;
    }

    public String getGroupsName()
    {
        return groupsName;
    }
    public void setVersion(String version)
    {
        this.version = version;
    }

    public String getVersion()
    {
        return version;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataModeType", getDataModeType())
            .append("uCode", getuCode())
            .append("collegeEnrollCode", getCollegeEnrollCode())
            .append("collegeCode", getCollegeCode())
            .append("collegeName", getCollegeName())
            .append("collegeSourceName", getCollegeSourceName())
            .append("collegeNameText", getCollegeNameText())
            .append("batch", getBatch())
            .append("course", getCourse())
            .append("year", getYear())
            .append("chooseSubjectRule", getChooseSubjectRule())
            .append("eduLevel", getEduLevel())
            .append("remark", getRemark())
            .append("collegeKey", getCollegeKey())
            .append("provinceCode", getProvinceCode())
            .append("professionName", getProfessionName())
            .append("professionEnrollCode", getProfessionEnrollCode())
            .append("text", getText())
            .append("professionRemark", getProfessionRemark())
            .append("majorCode", getMajorCode())
            .append("planNum", getPlanNum())
            .append("enterLine", getEnterLine())
            .append("enterNum", getEnterNum())
            .append("maxScore", getMaxScore())
            .append("minScore", getMinScore())
            .append("avgScore", getAvgScore())
            .append("maxRank", getMaxRank())
            .append("minRank", getMinRank())
            .append("avgRank", getAvgRank())
            .append("chooseSubject", getChooseSubject())
            .append("chooseSubject2", getChooseSubject2())
            .append("chooseSubjectText", getChooseSubjectText())
            .append("location", getLocation())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("udid", getUdid())
            .append("udid2", getUdid2())
            .append("zjText", getZjText())
            .append("zjTextExplain", getZjTextExplain())
            .append("professionZjText", getProfessionZjText())
            .append("professionZjTextExplain", getProfessionZjTextExplain())
            .append("groups", getGroups())
            .append("groupsName", getGroupsName())
            .append("version", getVersion())
            .toString();
    }
}
